# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hs-bibutils

Name:           ghc-%{pkg_name}
Version:        5.5
Release:        2%{?dist}
Summary:        Haskell bindings to bibutils

License:        GPL+
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         hs-bibutils-pkgconfig.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-syb-devel
BuildRequires:  pkgconfig(bibutils)
# End cabal-rpm deps

%description
Haskell bindings to Chris Putnam's bibutils, a library that
converts between various bibliography formats using a common
MODS-format XML intermediate.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(bibutils)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
#%%patch1 -p1 -b .orig~

# remove copylib
#rm -r bibutils


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 19 2015 Jens Petersen <petersen@redhat.com> - 5.5-1
- update to 5.5
- somehow under ghc-7.8 the bibutils system library is not found (#1190127)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Adam Williamson <awilliam@redhat.com> - 5.0-3
- rebuild for new libbibutils

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 05 2013 Jens Petersen <petersen@redhat.com> - 5.0-1
- update to 5.0
- update to new simplified Haskell Packaging Guidelines

* Sat Mar 23 2013 Jens Petersen <petersen@redhat.com> - 4.17-2
- add back missing cbits to .cabal file

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 4.17-1
- update to 4.17

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 21 2012 Jens Petersen <petersen@redhat.com> - 4.15-2
- update with cabal-rpm-0.6.6
- fix missing requires for bibutils-devel

* Mon Oct  1 2012 Jens Petersen <petersen@redhat.com> - 4.15-1
- simplify summary and description
- use pkgconfig to build with bibutils

* Mon Oct  1 2012 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.6.3
